Bug 1184876 - PackageKit-1.0.4-1.fc21 pulls in many extra dependencies (PackageKit → libappstream-glib → gtk3)
Summary: PackageKit-1.0.4-1.fc21 pulls in many extra dependencies (PackageKit → libapp...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.freedesktop.org/archives...
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2015-01-22 11:56 UTC by Tim Waugh
Modified: 2015-12-02 17:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:48:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Waugh 2015-01-22 11:56:45 UTC
Description of problem:
When updating to PackageKit-1.0.4-1.fc21 on Fedora 21 Server, many extra dependencies are pulled in due to libappstream-glib:

$ sudo dnf update libhif PackageKit -v
cachedir: /var/cache/dnf/x86_64/21
DNF version: 0.6.3
repo: using cache for: fedora
not found deltainfo for: Fedora 21 - x86_64
not found updateinfo for: Fedora 21 - x86_64
repo: using cache for: updates
--> Starting dependency resolution
---> Package libappstream-glib.x86_64 0.2.8-1.fc21 will be installed
---> Package atk.x86_64 2.14.0-1.fc21 will be installed
---> Package pango.x86_64 1.36.8-1.fc21 will be installed
---> Package libXft.x86_64 2.3.2-2.fc21 will be installed
---> Package libthai.x86_64 0.1.20-4.fc21 will be installed
---> Package libdatrie.x86_64 0.2.8-5.fc21 will be installed
---> Package gtk3.x86_64 3.14.6-1.fc21 will be installed
---> Package adwaita-icon-theme.noarch 3.14.1-1.fc21 will be installed
---> Package at-spi2-atk.x86_64 2.14.1-1.fc21 will be installed
---> Package libXcomposite.x86_64 0.4.4-6.fc21 will be installed
---> Package libXcursor.x86_64 1.1.14-4.fc21 will be installed
---> Package libXi.x86_64 1.7.4-2.fc21 will be installed
---> Package libXinerama.x86_64 1.1.3-4.fc21 will be installed
---> Package libXrandr.x86_64 1.4.2-2.fc21 will be installed
---> Package libwayland-cursor.x86_64 1.6.0-1.fc21 will be installed
---> Package libxkbcommon.x86_64 0.5.0-1.fc21 will be installed
---> Package rest.x86_64 0.7.92-5.fc21 will be installed
---> Package adwaita-cursor-theme.noarch 3.14.1-1.fc21 will be installed
---> Package at-spi2-core.x86_64 2.14.1-1.fc21 will be installed
---> Package xkeyboard-config.noarch 2.13-3.fc21 will be installed
---> Package libXevie.x86_64 1.0.3-9.fc21 will be installed
---> Package libXtst.x86_64 1.2.2-4.fc21 will be installed
---> Package harfbuzz.x86_64 0.9.36-1.fc21 will be installed
---> Package graphite2.x86_64 1.2.4-3.fc21 will be installed
---> Package colord-libs.x86_64 1.2.8-1.fc21 will be installed
---> Package lcms2.x86_64 2.6-4.fc21 will be installed
---> Package hicolor-icon-theme.noarch 0.14-1.fc21 will be installed
---> Package libgusb.x86_64 0.2.4-1.fc21 will be installed
---> Package PackageKit.x86_64 1.0.3-4.fc21 will be upgraded
---> Package PackageKit.x86_64 1.0.4-1.fc21 will be an upgrade
---> Package PackageKit-glib.x86_64 1.0.3-4.fc21 will be upgraded
---> Package PackageKit-glib.x86_64 1.0.4-1.fc21 will be an upgrade
---> Package libhif.x86_64 0.1.7-2.fc21 will be upgraded
---> Package libhif.x86_64 0.1.8-1.fc21 will be an upgrade
--> Finished dependency resolution
Dependencies resolved.
================================================================================
 Package                   Arch        Version               Repository    Size
================================================================================
Installing:
 adwaita-cursor-theme      noarch      3.14.1-1.fc21         fedora       131 k
 adwaita-icon-theme        noarch      3.14.1-1.fc21         fedora        11 M
 at-spi2-atk               x86_64      2.14.1-1.fc21         fedora        84 k
 at-spi2-core              x86_64      2.14.1-1.fc21         fedora       160 k
 atk                       x86_64      2.14.0-1.fc21         fedora       256 k
 colord-libs               x86_64      1.2.8-1.fc21          updates      184 k
 graphite2                 x86_64      1.2.4-3.fc21          fedora        90 k
 gtk3                      x86_64      3.14.6-1.fc21         updates      3.8 M
 harfbuzz                  x86_64      0.9.36-1.fc21         updates      160 k
 hicolor-icon-theme        noarch      0.14-1.fc21           updates       49 k
 lcms2                     x86_64      2.6-4.fc21            fedora       154 k
 libXcomposite             x86_64      0.4.4-6.fc21          fedora        27 k
 libXcursor                x86_64      1.1.14-4.fc21         fedora        34 k
 libXevie                  x86_64      1.0.3-9.fc21          fedora        22 k
 libXft                    x86_64      2.3.2-2.fc21          fedora        62 k
 libXi                     x86_64      1.7.4-2.fc21          fedora        44 k
 libXinerama               x86_64      1.1.3-4.fc21          fedora        18 k
 libXrandr                 x86_64      1.4.2-2.fc21          fedora        29 k
 libXtst                   x86_64      1.2.2-4.fc21          fedora        24 k
 libappstream-glib         x86_64      0.2.8-1.fc21          updates      125 k
 libdatrie                 x86_64      0.2.8-5.fc21          fedora        31 k
 libgusb                   x86_64      0.2.4-1.fc21          updates       41 k
 libthai                   x86_64      0.1.20-4.fc21         fedora       190 k
 libwayland-cursor         x86_64      1.6.0-1.fc21          fedora        21 k
 libxkbcommon              x86_64      0.5.0-1.fc21          fedora       112 k
 pango                     x86_64      1.36.8-1.fc21         fedora       292 k
 rest                      x86_64      0.7.92-5.fc21         fedora        66 k
 xkeyboard-config          noarch      2.13-3.fc21           fedora       748 k
Upgrading:
 PackageKit                x86_64      1.0.4-1.fc21          updates      574 k
 PackageKit-glib           x86_64      1.0.4-1.fc21          updates      135 k
 libhif                    x86_64      0.1.8-1.fc21          updates       71 k

Transaction Summary
================================================================================
Install  28 Packages
Upgrade   3 Packages

Comment 1 Kevin Kofler 2015-02-17 15:17:20 UTC
This is because of the new PackageKit → libappstream-glib dependency in 1.0.4 (introduced by this upstream commit: https://github.com/hughsie/PackageKit/commit/62bc031cab55e1830a99f79ea12b7e59a9f54c3a ) and the resulting PackageKit → libappstream-glib → gtk3 dependency chain.

This also affects my pure-KDE Fedora Remix Kannolo.

Adding the Regression keyword because this dependency bloat was introduced to Fedora 21 in an update.

Comment 2 Kevin Kofler 2015-02-18 15:01:34 UTC
Here's a build without AppStream support as a quick fix:
https://copr.fedoraproject.org/coprs/kkofler/kannolo/build/78277/

Comment 3 Kevin Kofler 2015-02-18 15:05:49 UTC
Corresponding sources, if you don't want to look into the SRPM:
http://svn.calcforge.org/viewvc/kannolo/trunk/packages/PackageKit/?pathrev=126

Comment 4 Richard Hughes 2015-05-28 13:58:59 UTC
We've fixed this by unbundling the gtk-pixbuf image loaders in F23.

Comment 5 Kevin Kofler 2015-08-16 10:44:08 UTC
Meh… To me, this is still a completely unnecessary GTK+ dependency, and I will continue to build PackageKit without this "automatic AppStream installation" support for Kannolo.

Comment 6 Kevin Kofler 2015-08-16 10:53:41 UTC
I really don't see why we need image loaders at all just to copy a file.

Comment 7 Kevin Kofler 2015-08-16 11:36:09 UTC
How does this work in all the other PackageKit backends?

Comment 8 Kevin Kofler 2015-08-16 21:41:47 UTC
You also did nothing to address this dependency chain issue (not even in your suboptimal way) in the existing releases Fedora 21 (which you broke in an update!) and 22.

Comment 9 Fedora End Of Life 2015-11-04 10:50:36 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-12-02 07:48:35 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.